:root {
    --primary-pink: #ea008a;
    --primary-blue: #0054a4;
    --primary-black: #191613ff;
    --primary-gold: #c3a52d;
    --secondary-gold: #c5aa2e;
    --thrird-gold: #edda42;
    --fourth-gold: #fcf28c;
}

.register-logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.register-logo-container img {
    width: 75%;
    height: auto;
    min-width: 600px;
    margin-left: 15%;
}

.register-login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    padding: 30px;
}

.form-register-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 65%;
    min-width: 400px;
    padding: 30px;
    background-color: rgba(209, 209, 209, 0.5);
    border-radius: 20px;
    border: 5px solid rgb(236, 236, 236); 
}

.login-container {
    width: 100%;
}

.login-title {
    text-align: center;
    font-size: 1.8rem;
    margin-bottom: 20px;
    color: var(--primary-pink);
    text-transform: uppercase;
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

.login-form {
    display: flex;
    width: 100%;
    flex-direction: column;
}

.register-title {
    text-align: center;
    font-size: 1.5rem;
    margin-bottom: 20px;
    color: var(--primary-pink);
    text-transform: uppercase;
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

.register-form {
    display: flex;
    width: 100%;
    flex-direction: column;
}

.register-form-group {
    margin-bottom: 15px;
}

.register-form-group-button {
    display: flex;
    width: 100%;
    margin-top: 15px;
    justify-content: center;
    align-items: center;
}

.register-form-group-link {
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: center;
}

.register-form-label {
    display: block;
    margin-bottom: 5px;
    font-size: 0.8rem;
    color: var(--primary-black);
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

.register-form-input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

.register-form-error {
    color: #ff0000;
    font-size: 0.8rem;
    margin-top: 10px;
}

.register-form-remember {
    display: flex;
    align-items: center;
    color: #fff;
}

.register-form-remember-label {
    display: flex;
    align-items: center;
}

.register-form-checkbox {
    margin-right: 10px;
}

.register-form-checkbox-text {
    color: var(--primary-black);
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
    font-size: 0.75rem;
}

.register-form-link {
    color: var(--primary-black);
    text-decoration: none;
    font-size: 14px;
    text-align: right;
    display: block;
}

.register-form-link-p {
    color: var(--primary-black);
    text-decoration: none;
    font-size: 14px;
    text-align: center;
    display: block;
}

.register-form-link-p a {
    text-decoration: none;
    color: var(--primary-pink);
    cursor: pointer;
}

.register-form-group-button {
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.register-form-button {
    width: 65%;
    padding: 10px;
    background: linear-gradient(to right, var(--primary-blue), var(--primary-pink));
    color: white;
    border: none;
    border-radius: 20px;
    font-size: 1.1rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

/* Mobile Media Query */

@media screen and (max-width: 768px) {


    .register-logo-container {
        width: 100%;
        margin-top: 5%;
    }

    .register-logo-container img {
        width: 80%;
        min-width: 0;
        margin-left: 0;
    }

    .register-login-container {
        width: 100%;
    }

    .form-register-container {
        width: 100%;
        min-width: 0;
    }
}
